# SIPPublishHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPPublishHandler:

[legend]
Collaboration diagram for SIPPublishHandler:
[legend]

## Public Member Functions

| SIPPublishHandler (SIPEndPoint &ep, const SIPSubscribe::Params &params, const PString &body)
virtual void | SetBody (const PString &body)
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual void | OnReceivedOK (SIPTransaction &transaction, SIP_PDU &response)
virtual SIPEventPackage | GetEventPackage () const

## Protected Attributes

SIPSubscribe::Params | m_parameters
PString | m_body
PString | m_sipETag

## Constructor & Destructor Documentation

SIPPublishHandler::SIPPublishHandler | ( | SIPEndPoint & | ep,
|  | const SIPSubscribe::Params & | params,
|  | const PString & | body |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPPublishHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual SIPEventPackage SIPPublishHandler::GetEventPackage | ( |  | ) | const`[inline, virtual]`

Reimplemented from SIPHandler.

virtual void SIPPublishHandler::OnReceivedOK | ( | SIPTransaction & | transaction,
|  | SIP_PDU & | response |
| ) |  |  | `[virtual]`

Reimplemented from SIPHandler.

virtual void SIPPublishHandler::SetBody | ( | const PString & | body | ) | `[inline, virtual]`

Reimplemented from SIPHandler.

## Field Documentation

PString SIPPublishHandler::m_body `[protected]`

SIPSubscribe::Params SIPPublishHandler::m_parameters `[protected]`

PString SIPPublishHandler::m_sipETag `[protected]`

The documentation for this class was generated from the following file:

- handlers.h